#!/bin/sh

./deleteOldVersion.sh
retval=$?
if [ $retval == 1 ]; then
  exit
fi

nextStep=1
step1status=0
##Step 1 : Install libstdc++34-3.4.0-1
rpm -i --test libstdc++34-3.4.0-1.i386.rpm
status=$?
if [ $status = 0 ]; then
  echo "Installing libstdc++34-3.4.0-1"
  rpm -ivh libstdc++34-3.4.0-1.i386.rpm
else
  step1status=1
  linecount=`rpm -qa | grep libstdc++34-3.4.0-1 | wc -l`
  if [ $linecount = 0 ]; then
    nextStep=0
    if [ -f "/usr/lib/libstdc++.so.6" ]; then
         nextStep=1
    fi
  fi
fi

if [ $nextStep = 0 ]; then
  echo "RPM Installation Failed"
  exit 1
fi

##Step 2 : Install MegaRAID Storage Manager 1.14-02

rpm -i --test MegaRAID_Storage_Manager-1.14-02.i386.rpm
status=$?
if [ $status = 0 ]; then
  echo "Installing  MegaRAID_Storage_Manager-1.14-02"
  rpm -ivh MegaRAID_Storage_Manager-1.14-02.i386.rpm
else
  echo "RPM Installation Failed"
  if [ $step1status = 0 ]; then
     echo "Rollback on libstdc++34-3.4.0-1 installation"
     rpm -e libstdc++34-3.4.0-1
  fi
  exit 1
fi

uninst="/usr/local/MegaRAID Storage Manager/.__uninst.sh"
echo "echo \"Uninstalling MegaRAID_Storage_Manager-1.14-02\" " >> $uninst
echo "rpm -e MegaRAID_Storage_Manager-1.14-02" >> $uninst
if [ $step1status = 0 ]; then
  echo "echo \"Uninstalling libstdc++34-3.4.0-1\" " >> $uninst
  echo "rpm -e libstdc++34-3.4.0-1" >> $uninst
fi
echo "echo \"Done.\" " >>$uninst
chmod +x "$uninst"
